#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;
int main(){
	int n,k;cin>>n>>k;
	vector<int> karte;
	for(int i=0;i<n;i++){
		int x;cin>>x;
		karte.push_back(x);
	}
	auto it=find(karte.begin(),karte.end(),k);
	it++;
	if(it!=karte.end()){
		cout<<*it;
	}
	else{
		cout<<*karte.begin();
	}
	
	return 0;
}